package model

import "io"

type Decoder interface {
	Decode([]byte, any) error
	DecodeReader(io.Reader, any) error
}

type Encoder interface {
	Encode(any) ([]byte, error)
}

type EncoderDecoder interface {
	Encoder
	Decoder
}
